AsterNet Class Library (Sandcastle documentation)

| AGIChannel Class

Default implementation of the AGIChannel interface.
Inheritance Hierarchy
System
Object
AsterNET.FastAGI
AGIChannel

Namespace: AsterNET.FastAGI
Assembly: AsterNET (in AsterNET.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy

    public class AGIChannel

    Public Class AGIChannel

    public ref class AGIChannel

    type AGIChannel =  class end

The AGIChannel type exposes the following members.

Constructors

| Name | Description
--- | --- | ---
| AGIChannel(SocketConnection, Boolean, Boolean) | Initializes a new instance of the AGIChannel class
| AGIChannel(AGIWriter, AGIReader, Boolean, Boolean) | Initializes a new instance of the AGIChannel class

Top
Methods

| Name | Description
--- | --- | ---
| Equals | Determines whether the specified Object is equal to the current Object. (Inherited from Object.)
| Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
| GetHashCode | Serves as a hash function for a particular type. (Inherited from Object.)
| GetType | Gets the Type of the current instance. (Inherited from Object.)
| MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
| SendCommand |
| ToString | Returns a string that represents the current object. (Inherited from Object.)

Top
Properties

| Name | Description
--- | --- | ---
| LastReply | Get last AGI Reply.

Top
See Also

#### Reference

AsterNET.FastAGI Namespace